#include "myTileLoadedCallback.h"
#include <osgTerrain/Terrain>

#include "myTerrainTechnique.h"

using namespace osgTerrain;

myTileLoadedCallback::myTileLoadedCallback(osgTerrain::Terrain* terrain) : _terrain(terrain)
{

}

myTileLoadedCallback::~myTileLoadedCallback()
{

}

bool myTileLoadedCallback::deferExternalLayerLoading() const
{
    return true;
}

void myTileLoadedCallback::loaded(osgTerrain::TerrainTile* tile, const osgDB::ReaderWriter::Options* options) const
{
	//OSG_ALWAYS << "Executing myTileLoadedCallback!" << std::endl;
	tile->setTerrainTechnique( new osgTerrain::myTerrainTechnique() );
	_terrain->updateTerrainTileOnNextFrame(tile);
}
    
